import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


const csvUrl="https://gist.githubusercontent.com/DragonEnergy/2da6c549f135f0b5f3f8fa5fc77b25ff/raw/0ecd3882a125d896908601274f2fd4d6ff78977f/rdg2018-zona-estado-enero-marzo.csv";

export const useData = () => {
  const [data, setData] = useState(null);
	if(data){
    console.log("useData Successful")
  }
  useEffect(() => {
    const row = d => {
      d['Month'] = new Date(d['Date']);
      d['Zona'] = d['Zona'];
      d['WasteKgs'] = +d['WasteKgs'];
      return d;
    };
    
    csv(csvUrl, row).then(setData)
  }, []);

  return data
}
